commit:     8c00d634a2c9ba1ba7c726c14a9459b5e071c054
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri May 19 09:51:35 2017 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri May 19 09:52:25 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c00d634

sci-chemistry/openbabel-python: Version Bump

Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=618402
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sci-chemistry/openbabel-python/Manifest            |  1 +
 .../openbabel-python/openbabel-python-2.4.1.ebuild | 90 ++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/sci-chemistry/openbabel-python/Manifest 
b/sci-chemistry/openbabel-python/Manifest
index 082e5b02984..3d09a5c54b9 100644
--- a/sci-chemistry/openbabel-python/Manifest
+++ b/sci-chemistry/openbabel-python/Manifest
@@ -1 +1,2 @@
 DIST openbabel-2.3.2.tar.gz 20509105 SHA256 
4eaca26679aa6cc85ebf96af19191472ac63ca442c36b0427b369c3a25705188 SHA512 
d0e1f8b758ffdd65ec6c31d988bffe3279355e286ce69fad12c5905b3b832e2b73ee95b1061b1576aba1ee9fe4da5e31ec30350c473be17493c657dc80caf919
 WHIRLPOOL 
74eff18b73d24c8f702e5573a58ba6afba8402e9ce8782de95dc0568575a7d2d632dbc8e8a98b3cd25efdfa7379494f7dcd449342c81ddf73f42a387bce77aaa
+DIST openbabel-2.4.1.tar.gz 11618304 SHA256 
204136582cdfe51d792000b20202de8950218d617fd9c6e18cee36706a376dfc SHA512 
427e678f0a911bd27b9a8a05e60b6e09f113be4e5dd180daaf80c28d06368e52b57501261755ab3817a8d31f2754db24471fd0ceee706d029386d6f70800e9c6
 WHIRLPOOL 
88e333b47118449e1edba2b164af77ac7fac9c60e2965b5d6657ba8cf981845f49f6bac9427515ebbdf62668fddf38ae2422c4e107b98df46922c5bba860b216

diff --git a/sci-chemistry/openbabel-python/openbabel-python-2.4.1.ebuild 
b/sci-chemistry/openbabel-python/openbabel-python-2.4.1.ebuild
new file mode 100644
index 00000000000..e5b17f311bc
--- /dev/null
+++ b/sci-chemistry/openbabel-python/openbabel-python-2.4.1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit cmake-utils python-r1
+
+DESCRIPTION="Python bindings for OpenBabel (including Pybel)"
+HOMEPAGE="http://openbabel.sourceforge.net/";
+SRC_URI="mirror://sourceforge/openbabel/openbabel-${PV}.tar.gz"
+
+KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
+SLOT="0/5"
+LICENSE="GPL-2"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       ~sci-chemistry/openbabel-${PV}
+       sys-libs/zlib"
+DEPEND="${RDEPEND}
+       >=dev-lang/swig-2"
+
+S="${WORKDIR}"/openbabel-${PV}
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.3.2-gcc-6_and_7-backport.patch
+       )
+
+src_prepare() {
+       cmake-utils_src_prepare
+       sed \
+               -e "s:\"\.\.\":\"${EPREFIX}/usr\":g" \
+               -i test/testbabel.py || die
+       swig -python -c++ -small -O -templatereduce -naturalvar \
+               -I"${EPREFIX}/usr/include/openbabel-2.0" \
+               -o scripts/python/openbabel-python.cpp \
+               -DHAVE_EIGEN \
+               -outdir scripts/python \
+               scripts/openbabel-python.i \
+               || die "Regeneration of openbabel-python.cpp failed"
+       sed \
+               -e '/__GNUC__/s:== 4:>= 4:g' \
+               -i include/openbabel/shared_ptr.h || die
+}
+
+src_configure() {
+       my_impl_src_configure() {
+               local mycmakeargs=(
+                       -DCMAKE_INSTALL_RPATH=
+                       -DBINDINGS_ONLY=ON
+                       
-DBABEL_SYSTEM_LIBRARY="${EPREFIX}/usr/$(get_libdir)/libopenbabel.so"
+                       
-DOB_MODULE_PATH="${EPREFIX}/usr/$(get_libdir)/openbabel/${PV}"
+                       -DLIB_INSTALL_DIR="${D}$(python_get_sitedir)"
+                       -DPYTHON_BINDINGS=ON
+                       -DPYTHON_EXECUTABLE=${PYTHON}
+                       -DPYTHON_INCLUDE_DIR="$(python_get_includedir)"
+                       -DPYTHON_INCLUDE_PATH="$(python_get_includedir)"
+                       -DPYTHON_LIBRARY="$(python_get_library_path)"
+                       -DENABLE_TESTS=ON
+               )
+
+               cmake-utils_src_configure
+       }
+
+       python_foreach_impl my_impl_src_configure
+}
+
+src_compile() {
+       python_foreach_impl cmake-utils_src_make bindings_python
+}
+
+src_test() {
+       python_foreach_impl cmake-utils_src_test -R py
+}
+
+src_install() {
+       my_impl_src_install() {
+               cd "${BUILD_DIR}" || die
+
+               cmake -DCOMPONENT=bindings_python -P cmake_install.cmake
+
+               python_optimize
+       }
+
+       python_foreach_impl my_impl_src_install
+}

Reply via email to